<div xmlns:th="http://www.thymeleaf.org" th:class="'form-group field-type-' + ${#strings.toLowerCase(data.typeName)} + (${data.display} ? '' : ' hide') + (${!repeatable} ? '' : ((${stats.first} ? ' repeatables-first' : '') + (${stats.last} ? ' repeatables-last' : '') + (${stats.totalCount == stats.maxOccurs} ? ' repeatables-max-reached' : '') + (${stats.totalCount == stats.minOccurs} ? ' repeatables-min-reached' : '')))" th:attr="data-field=${prefix + data.id},data-type=${data.typeName},data-min-occurs=${repeatable}? ${stats.minOccurs},data-max-occurs=${repeatable}? ${stats.maxOccurs}, data-rule=${ruleKey}">
    <div th:fragment="mainWrapper" th:include="${mainWrapper} ?: _" class="col-md-12" th:attrappend="class=${repeatable} ? ' repeatables-hidden' : null">
        <div th:fragment="labelBlock" class="field-label" th:attrappend="class=${fieldLabelClass} ? ' ' + ${fieldLabelClass} : null">
            <label th:for="${ommitLabelFor} ? null : ${prefix + data.id}" th:attr="class=${data.isMandatory() ? 'mandatory' : null}" th:attrappend="class=${labelClass} ? ' ' + ${labelClass} : null"><th:block th:if="${singleTranslation && null != data.label}"><th:block th:include="${startLabel} ?: _" />[[#{${data.label}}]]</th:block><th:block th:unless="${singleTranslation && null != data.label}"><th:block th:include="${startLabel} ?: _" />[[${data.label}]]</th:block><th:block th:if="${null != data.help and data.help.trim() != ''}"> <button type="button" class="btn btn-help btn-sm" tabindex="-1" data-toggle="popover" data-placement="top" data-trigger="focus" data-html="true" th:attr="data-content=(${singleTranslation} ? #{${data.help}} : ${data.help}) + (${i18nAvailable} ? ' &lt;div class=\'field-translation\'&gt;&lt;span class=\'badge\'&gt;'+${i18nLang}+'&lt;/span&gt; '+#{${data.help}}+'&lt;/div&gt;' : '')"><i class="fa fa-question-circle"></i></button></th:block></label>
            <div class="field-translation" th:if="${!singleTranslation && i18nAvailable}">
                <span class="badge" th:text="${i18nLang}"></span>
                <th:block th:text="#{${data.label}}" />
            </div>
        </div>
        <div th:fragment="descriptionBlock" class="field-description text-justify" th:if="${data.description}">
            <th:block form:md="${singleTranslation} ? #{${data.description}} : ${data.description}" />
            <div class="field-translation" th:if="${!singleTranslation && i18nAvailable}">
                <span class="badge" th:text="${i18nLang}"></span>
                <th:block form:md="#{${data.description}}" />
            </div>
        </div>
        <div th:fragment="warningBlock" class="field-warning alert alert-warning" th:if="${!#lists.isEmpty(data.warnings)}" th:each="warning : ${data.warnings}">
            <strong th:text="${singleTranslation} ? #{${warning.label}} : ${warning.label}" th:if="${warning.label}"></strong>
            <th:block form:md="${singleTranslation} ? #{${warning.description}} : ${warning.description}" />
            <div class="field-translation" th:if="${!singleTranslation && i18nAvailable}">
                <span class="badge" th:text="${i18nLang}"></span>
                <strong th:text="#{${warning.label}}" th:if="${warning.label}"></strong>
                <th:block form:md="#{${warning.description}}" />
            </div>
        </div>
    </div>
    <div th:if="${defaultInput}">
        <div th:if="${repeatable && !errorState}" class="list-icons">
            <a th:id="${pathAsHtmlId + '-btn-trash'}" class="repeatables-action panel-trash ge-bleu" data-type="delete" data-target="field" href="#"><i class="fa fa-trash-o"></i></a>
            <a th:id="${pathAsHtmlId + '-btn-up'}" class="repeatables-action ge-bleu" data-type="arrow-up" data-target="field" href="#"><i class="fa fa-arrow-circle-up"></i></a>
            <a th:id="${pathAsHtmlId + '-btn-down'}" class="repeatables-action ge-bleu" data-type="arrow-down" data-target="field" href="#"><i class="fa fa-arrow-circle-down"></i></a>
            <a th:id="${pathAsHtmlId + '-btn-add'}" class="repeatables-action ge-rouge" data-type="add" data-target="field" href="#"><i class="fa fa-plus-circle"></i></a>
        </div>
        <div th:class="${repeatable}? 'list-icons-target'">
            <div class="col-md-12 list-icons-target" th:include="${defaultInput} ?: _"></div>
        </div>
    </div>
</div>
